oneAPI Registration, Download, Licensing and Installation
Support for Getting Started questions for Intel oneAPI Toolkits, Intel Parallel Studio XE and Intel System Studio
730 Discussions

Serial no. for installing intel parallel studio xe student version 2020 (version 4)

AlokR
Beginner
962 Views

Hello,

I am a student, and I was using Parallel studio for my work. Now the license has expired. But I am not getting how to reapply for the license. When I try to download the recent version (update 4, 2020), it is showing no access without renewal of the license. 

If anyone knows how to get the new license then please let me know.

0 Kudos
2 Replies
Soumya_M_Intel
Moderator
891 Views

Hi,


We have checked your account associated with email id: aranjan1@ph.iitr.ac.in and found student licenses. Student Licenses are free licenses. Please know, Free or Non-commercial licenses cannot be renewed. Generally, they can be only re-applied.

 

However, please know, Intel® has transitioned from providing Intel® Parallel Studio XE as a free tool to providing Intel® oneAPI Toolkits as a free tool. Due to this, the Intel® Parallel Studio XE is a legacy product. Providing the product suite as a free tool is outside of our scope now.

 

However, please know, the transition from Intel® Parallel Studio XE to Intel® oneAPI Toolkits delivers additional capabilities through existing tools and new tools.

 

The Intel® Parallel Studio XE Cluster Edition product suite maps to the equivalent Intel® oneAPI Toolkits: Intel® oneAPI Base Toolkit + Intel® oneAPI HPC Toolkit.

 

The Intel® oneAPI Base Toolkit and the Intel® oneAPI HPC Toolkit are available for Windows*, Linux*, and macOS*.

 

·      Qualification – No qualification is required.

·      Support – All Intel® oneAPI Toolkits are available at no cost and include community forum support. Community Forums

·      Licensing – Install and run the tools under the terms of use found in the End User License Agreement. No license files are needed.

 

Please click on the below link to choose and download the required product tools with respect to Intel® oneAPI Toolkits.

 

Link - https://software.intel.com/content/www/us/en/develop/articles/qualify-for-free-software.html

 

Note - Make sure to download and install Intel® oneAPI Base Toolkit first and then add Intel® oneAPI HPC Toolkit or the toolkit of your choice.

 

Have a safe and wonderful day ahead!


Regards,

Soumya


AlokR
Beginner
883 Views

Thanks Soumya for your kind reply!

I have downloaded and installed the intel oneAPI HPC toolkits on my Linux system as you can see:

(base) alok@alok-HP-Compaq-Elite-8300-MT:~/TIEGCM/tiegcm2.0$ source /opt/intel/oneapi/setvars.sh intel64
:: initializing oneAPI environment ...
BASH version = 4.4.20(1)-release
:: dpl -- latest
:: tbb -- latest
:: intelpython -- latest
:: dev-utilities -- latest
:: ccl -- latest
:: debugger -- latest
:: dnnl -- latest
:: ippcp -- latest
:: mkl -- latest
:: compiler -- latest
:: vpl -- latest
:: ipp -- latest
:: mpi -- latest
:: dal -- latest
:: advisor -- latest
:: dpcpp-ct -- latest
:: itac -- latest
:: inspector -- latest
:: vtune -- latest
:: clck -- latest
:: oneAPI environment initialized ::

 

(base) alok@alok-HP-Compaq-Elite-8300-MT:~/TIEGCM/tiegcm2.0$ ifort -v
ifort version 2021.1

But , I am having an issue in running another make file, in which I have to provide the path for ifort, mpif90 and mpirun commands, which ere following in my system:

F90 = /opt/intel/oneapi/compiler/2021.1.1/linux/bin/intel64/ifort
MPIF90 = /opt/intel/oneapi/mpi/2021.1.1/bin/mpif90 -fc=ifort
MPIRUN = /opt/intel/oneapi/mpi/2021.1.1/bin/mpirun -l -s all

 

But by running my make file I am getting the following error:

ifort: command line warning #10006: ignoring unknown option '-fallow-argument-mismatch'
/home/alok/TIEGCM/tiegcm2.0/tiegcm2.0/src/input.F(308): error #5082: Syntax error, found ':' when expecting one of: ( <IDENTIFIER> <CHAR_CON_KIND_PARAM> <CHAR_NAM_KIND_PARAM> <CHARACTER_CONSTANT> <INTEGER_CONSTANT> ...
stop(:,:) = ispval

 

Before intel oneAPI HPC toolkit, I was using intel parallel studio xe 2020 (version 1) and I was not getting such kind of error.

Kindly help me in this regard!

Thankyou!

Reply